Hyperliquid Long/Short Account Ratio (By Tag)

This API provides historical long/short account data for each symbol on Hyperliquid across different tag-based groups, including the number of long and short accounts and their corresponding position sizes.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Cache / Update Frequency: Updated every 15 minutes.

This endpoint is available on the following API plans

PlansHobbyistStartupStandardProfessionalEnterprise
Available

Response Data

{
  "code": "0",
  "data": [
    {
      "time": 1775467800000,
      "group_name": "shrimp",
      "account_long_count": 6523,
      "account_short_count": 3897,
      "short_position_usd": 10013432.42878,
      "long_position_usd": 13951364.29166
    },
    {
      "time": 1775468400000,
      "group_name": "shrimp",
      "account_long_count": 6518,
      "account_short_count": 3941,
      "short_position_usd": 10150468.22601,
      "long_position_usd": 14950428.88208
    },
  ]  
}
Query Params
string
required
Defaults to BTC

Trading coin (e.g., BTC). Retrieve supported coins via the 'supported-coins' API.

string
required
Defaults to 10m

Time interval for data aggregation. Supported values: 10m, 1h,1d

string
required
Defaults to Shrimp

Supported tags: Shrimp, Fish, Dolphin, Apex_Predator, Small_Whale, Whale, Tidal_Whale, Leviathan, Money_Printer, Smart_Money, Grinder, Humble_Earner, Exit_Liquidity, Semi_Rekt, Full_Rekt, Giga_Rekt

integer

Number of results per request. Default: 1000, Maximum: 1000

int64

Start timestamp in milliseconds (e.g., 1641522717000).

int64

End timestamp in milliseconds (e.g., 1641522717000).

Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!